summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <urchlay@slackware.uk>2024-09-25 19:57:31 -0400
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-28 06:54:29 +0700
commit7486cdeee742100b2fbc531e419752e799b8a1c7 (patch)
treec8d4d1dfda1d589bee768619cd4be863c97441b7 /audio
parent742cef494180830c41123833e43d03e8b2e1b388 (diff)
downloadslackbuilds-7486cdeee742100b2fbc531e419752e799b8a1c7.tar.gz
slackbuilds-7486cdeee742100b2fbc531e419752e799b8a1c7.tar.xz
audio/synthv1: Updated for version 1.1.1.
Signed-off-by: B. Watson <urchlay@slackware.uk> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/synthv1/synthv1.SlackBuild34
-rw-r--r--audio/synthv1/synthv1.info6
2 files changed, 31 insertions, 9 deletions
diff --git a/audio/synthv1/synthv1.SlackBuild b/audio/synthv1/synthv1.SlackBuild
index 1122f017cb..c2e77f30db 100644
--- a/audio/synthv1/synthv1.SlackBuild
+++ b/audio/synthv1/synthv1.SlackBuild
@@ -6,6 +6,7 @@
# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+# 20240925 bkw: update for 1.1.1.
# 20240815 bkw: update for 1.0.0
# 20230629 bkw: update for v0.9.31
# 20230109 bkw: update for v0.9.28
@@ -28,7 +29,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=synthv1
-VERSION=${VERSION:-1.0.0}
+VERSION=${VERSION:-1.1.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -66,6 +67,20 @@ fi
set -e
+# 20240925 bkw: If jack is missing, the build doesn't fail right away.
+# Instead, it compiles for a while, then 'make install/strip' fails.
+# Better to abort immediately in that case.
+if ! pkg-config --exists jack; then
+ cat <<EOF
+
+*****************************************************************
+* Missing required dependency jack. Install it, then try again. *
+*****************************************************************
+
+EOF
+ exit 1
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -73,8 +88,8 @@ rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
- \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} + -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} +
# 20240815 bkw: lv2 is supposed to be autodetected, but if it's
# missing, the build fails unless we explicitly disable. So:
@@ -84,6 +99,11 @@ pkg-config --exists lv2 && LV2_OPT="ON"
# This thing can't be told to use qmake-qt5, and keeps choking on
# /usr/bin/qmake. The --with-qt option doesn't help, only putting
# qt5's bin/ before /usr/bin in $PATH will do.
+
+# 20240925 bkw: Add -DCONFIG_QT6=0, to avoid it autodetecting and
+# using qt6 if installed. Not interested in dealing with it, and the
+# qt5 UI works fine.
+
export PATH=/usr/lib$LIBDIRSUFFIX/qt5/bin:$PATH
mkdir -p build
@@ -91,6 +111,7 @@ cd build
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCONFIG_LV2=$LV2_OPT \
+ -DCONFIG_QT6=0 \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_MANDIR=/usr/man \
-DCMAKE_INSTALL_PREFIX=/usr \
@@ -149,9 +170,10 @@ for i in man1 fr/man1 fr.UTF-8/man1; do
ln -s $PRGNAM.1.gz $PKG/usr/man/$i/${PRGNAM}_jack.1.gz
done
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a ChangeLog README LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a ChangeLog README LICENSE $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
LIBLO=no
LV2=no
diff --git a/audio/synthv1/synthv1.info b/audio/synthv1/synthv1.info
index cd5d612b6c..3f0f77e1a0 100644
--- a/audio/synthv1/synthv1.info
+++ b/audio/synthv1/synthv1.info
@@ -1,8 +1,8 @@
PRGNAM="synthv1"
-VERSION="1.0.0"
+VERSION="1.1.1"
HOMEPAGE="https://synthv1.sourceforge.io/"
-DOWNLOAD="https://downloads.sourceforge.net/project/synthv1/synthv1/1.0.0/synthv1-1.0.0.tar.gz"
-MD5SUM="71e346c0dc5acb6a21d18a890e5787b6"
+DOWNLOAD="https://downloads.sourceforge.net/project/synthv1/synthv1/1.1.1/synthv1-1.1.1.tar.gz"
+MD5SUM="123ef9cdd014635d0dec3e5db3975fda"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="jack"